package de.flothow.prog3.diningsavages;

/**
 * Enthält die main-Methode.
 * 
 * @author Sebastian Flothow (sebastian@flothow.de)
 */
public class Main {
	private static final int SAVAGES = 3;
	
	/**
	 * Main-Methode. Erzeugt einen Topf sowie einen Koch und mehrere Wilde und startet sie.
	 * 
	 * @param args Befehlszeilenparameter. Werden nicht berücksichtigt.
	 */
	public static void main(String[] args) {
		Pot pot = new Pot();
		
		new Cook(pot).start();
		
		for (int i = 0; i < SAVAGES; i++) {
			new Savage(i, pot).start();
		}
	}

}
